### Method

# Ide BuildManager clean_async

#### Declaration

    void
    ide_build_manager_clean_async (
      IdeBuildManager* self,
      IdePipelinePhase phase,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

Asynchronously requests that the build pipeline clean up to `phase`.

See `ide_pipeline_clean_async()` for more information.

Available since: | 3.32

#### Parameters

`phase` | `IdePipelinePhase`
| The build phase to clean.
`cancellable` | `GCancellable`
| A `GCancellable` or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| A callback to execute upon completion, or `NULL`.
| The argument can be `NULL`.
`user_data` | `gpointer`
| Closure data for `callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.